%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 15;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate lru-cache

Name:           rust-lru-cache
Version:        0.1.2
Release:    1%{?dist}
Summary:        Cache that holds a limited number of key-value pairs

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/lru-cache
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A cache that holds a limited number of key-value pairs.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+heapsize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+heapsize-devel %{_description}

This package contains library source intended for building other packages which
use the "heapsize" feature of the "%{crate}" crate.

%files       -n %{name}+heapsize-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+heapsize_impl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+heapsize_impl-devel %{_description}

This package contains library source intended for building other packages which
use the "heapsize_impl" feature of the "%{crate}" crate.

%files       -n %{name}+heapsize_impl-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.2-1
- initial build
